libsigc++ 2.0: sigc::slot_list< T_slot > Struct Template Reference

Main Page Groups Namespaces

# sigc::slot_list< T_slot > Struct Template Reference
[Signals]

STL-style list interface for sigc::signal#. More...

List of all members.

## Public Types
typedef T_slot | slot_type
typedef slot_type& | reference
typedef const slot_type& | const_reference
typedef slot_iterator <slot_type> | iterator
typedef slot_const_iterator <slot_type> | const_iterator
typedef std::reverse_iterator <iterator> | reverse_iterator
typedef std::reverse_iterator <const_iterator> | const_reverse_iterator
## Public Member Functions
| slot_list ()
| slot_list (internal::signal_impl* __list)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const
reference | front ()
const_reference | front () const
reference | back ()
const_reference | back () const
iterator | insert (iterator i, const slot_type& slot_)
void | push_front (const slot_type& c)
void | push_back (const slot_type& c)
iterator | erase (iterator i)
iterator | erase (iterator first_, iterator last_)
void | pop_front ()
void | pop_back ()
## Protected Attributes
internal::signal_impl* | list_

## Detailed Description

### template <class T_slot>
struct sigc::slot_list< T_slot >

STL-style list interface for sigc::signal#.

slot_list can be used to iterate over the list of slots that is managed by a signal. Slots can be added or removed from the list while existing iterators stay valid. A slot_list object can be retrieved from the signal's slots() function.

## Member Typedef Documentation

template <class T_slot>

typedef T_slot sigc::slot_list<T_slot>::slot_type

template <class T_slot>

typedef slot_type& sigc::slot_list<T_slot>::reference

template <class T_slot>

typedef const slot_type& sigc::slot_list<T_slot>::const_reference

template <class T_slot>

typedef slot_iterator<slot_type> sigc::slot_list<T_slot>::iterator

template <class T_slot>

typedef slot_const_iterator<slot_type> sigc::slot_list<T_slot>::const_iterator

template <class T_slot>

typedef std::reverse_iterator<iterator> sigc::slot_list<T_slot>::reverse_iterator

template <class T_slot>

typedef std::reverse_iterator<const_iterator> sigc::slot_list<T_slot>::const_reverse_iterator

## Constructor & Destructor Documentation

template <class T_slot>

sigc::slot_list<T_slot>::slot_list | ( |  | ) | `[inline]`

template <class T_slot>

sigc::slot_list<T_slot>::slot_list | ( | internal::signal_impl* | __list | ) | `[inline, explicit]`

## Member Function Documentation

template <class T_slot>

iterator sigc::slot_list<T_slot>::begin | ( |  | ) | `[inline]`

template <class T_slot>

const_iterator sigc::slot_list<T_slot>::begin | ( |  | ) | const`[inline]`

template <class T_slot>

iterator sigc::slot_list<T_slot>::end | ( |  | ) | `[inline]`

template <class T_slot>

const_iterator sigc::slot_list<T_slot>::end | ( |  | ) | const`[inline]`

template <class T_slot>

reverse_iterator sigc::slot_list<T_slot>::rbegin | ( |  | ) | `[inline]`

template <class T_slot>

const_reverse_iterator sigc::slot_list<T_slot>::rbegin | ( |  | ) | const`[inline]`

template <class T_slot>

reverse_iterator sigc::slot_list<T_slot>::rend | ( |  | ) | `[inline]`

template <class T_slot>

const_reverse_iterator sigc::slot_list<T_slot>::rend | ( |  | ) | const`[inline]`

template <class T_slot>

reference sigc::slot_list<T_slot>::front | ( |  | ) | `[inline]`

template <class T_slot>

const_reference sigc::slot_list<T_slot>::front | ( |  | ) | const`[inline]`

template <class T_slot>

reference sigc::slot_list<T_slot>::back | ( |  | ) | `[inline]`

template <class T_slot>

const_reference sigc::slot_list<T_slot>::back | ( |  | ) | const`[inline]`

template <class T_slot>

iterator sigc::slot_list<T_slot>::insert | ( | iterator | i,
|  | const slot_type& | slot_ |
| ) |  |  | `[inline]`

template <class T_slot>

void sigc::slot_list<T_slot>::push_front | ( | const slot_type& | c | ) | `[inline]`

template <class T_slot>

void sigc::slot_list<T_slot>::push_back | ( | const slot_type& | c | ) | `[inline]`

template <class T_slot>

iterator sigc::slot_list<T_slot>::erase | ( | iterator | i | ) | `[inline]`

template <class T_slot>

iterator sigc::slot_list<T_slot>::erase | ( | iterator | first_,
|  | iterator | last_ |
| ) |  |  | `[inline]`

template <class T_slot>

void sigc::slot_list<T_slot>::pop_front | ( |  | ) | `[inline]`

template <class T_slot>

void sigc::slot_list<T_slot>::pop_back | ( |  | ) | `[inline]`

## Member Data Documentation

template <class T_slot>

internal::signal_impl* sigc::slot_list<T_slot>::list_`[protected]`

The documentation for this struct was generated from the following file:

- signal.h